%% Replicate table 7 of EW2012 RFS
clear
load EW2012RFS % gvkey fyear ik ia cfa cfk q mb

bXint = [0,-0.1:(0.6/99):0.5]';
gvkey = data(:,1);
fyear = data(:,2);
ik    = data(:,3);
cfk   = data(:,6);
q     = data(:,7);

[~,~,~,~,st] = XTEWreg(ik, q, [ones(size(ik)) cfk], gvkey, fyear, 'GMM5', bXint);

%% Get the identification test rejection rate
counter3 = 0;
counter4 = 0;
for i=1:42
    if st.cross{i}.ID3stat<0.05
        counter3=counter3+1;
    end
    if st.cross{i}.ID4stat<0.05
        counter4=counter4+1;
    end
end
disp (counter3/42)
disp (counter4/42)
